import tkinter as tk
from tkinter import *



class MainWin(tk.Tk):
    adsrv = ['A', 'D', 'S', 'R','V']
    freqs = ['2', '3', '4', '5']
    mixer = ['1','2','3','4','5']
    def __init__(self):
        super().__init__()
        self.index = 0
        self.populate()

    def populate(self):
        #titolo
        self.title(' SINTHETIZER ')
        #crea inviluppo
        st_pnl = tk.LabelFrame(self, text=' ENVELOPE ', fg="white", bg="black")
        st_pnl.pack(fill=tk.BOTH, expand=1, padx=5, pady=5)
        st_pnl.grid(row=0, column=0, sticky='ns')
        self.v_scales = []
        self.h_scales = []
        for i in range(len(self.adsrv)):
            cnv = tk.Label(st_pnl, text=self.adsrv[i], fg='white', bg="black")
            cnv.grid(row=0, column=i, padx=12, pady=50, sticky='ne')
            scadsr = tk.Scale(st_pnl, from_=100, to=0, showvalue=True,  length=200, tickinterval=1, background='black', fg='white', orient=tk.VERTICAL)
            scadsr.set(10)
            scadsr.bind("<ButtonRelease>", self.on_struments)
            scadsr.grid(row=1, column=i, padx=10, pady=10, sticky='ne')
            st_pnl.grid_columnconfigure(i, weight=1)
            self.v_scales.append(scadsr)
        #crea VCO
        st_pnl.grid_rowconfigure(1, weight=1)
        fr_pnl = tk.LabelFrame(self, text=' VCO freq. (DO2 66Hz)', fg="white", bg="black" )
        fr_pnl.grid(row=0, column=1, sticky='nw')
        for i in range(len(self.freqs)):
            lbl = tk.Label(fr_pnl, text=self.freqs[i], fg="white", bg="black")
            lbl.grid(row=0, column=i, padx=10, pady=10)
            cnv2 = tk.Label(fr_pnl, text=self.freqs[i], fg='white', bg="black")
            cnv2.grid(row=2, column=i, padx=10, pady=10, sticky='ne')
            scvco = tk.Scale(fr_pnl, from_=4200, to=0, showvalue=True, length=200, tickinterval=1,background='black', fg='white', orient=tk.VERTICAL)
            scvco.set(0)
            scvco.bind("<ButtonRelease>", self.on_frequences)
            scvco.grid(row=0, column=i, padx=10, pady=10, sticky='ne')
            self.h_scales.append(scvco)
        #crea mixer
        fr_pnl.grid_columnconfigure(1, weight=1)
        st_pnl.grid_rowconfigure(1, weight=1)
        fr_pnl = tk.LabelFrame(self, text=' MIXER ', fg="white", bg="black")
        fr_pnl.grid(row=1, column=1, sticky='nw')
        for i in range(len(self.mixer)):
            lbl = tk.Label(fr_pnl, text=self.mixer[i], fg="white", bg="black")
            lbl.grid(row=0, column=i, padx=10, pady=10)
            cnv.grid(row=0, column=i, padx=10, pady=10, sticky='e')
            scmixer = tk.Scale(fr_pnl, from_=100, to=0, showvalue=True, length=200, tickinterval=1,background='black', fg='white', orient=tk.VERTICAL)
            scmixer.set(10)
            scmixer.bind("<ButtonRelease>", self.on_frequences)
            scmixer.grid(row=1, column=i, padx=10, pady=10, sticky='e')
            self.h_scales.append(scmixer)
        fr_pnl.grid_columnconfigure(1, weight=1)
        #val_pnl.grid(row=2, column=0, columnspan=2, sticky='ew')
        #lbl = tk.Label(val_pnl, text='Strumento', font='bold')
        #lbl.grid(row=2, padx=10, pady=10, column=0)
        #lbl = tk.Label(val_pnl, text='Volume', font='bold')
        #lbl.grid(row=2, padx=10, pady=10, column=1)
        #for i in range(len(self.freqs)):
         #   lbl = tk.Label(val_pnl, text=self.freqs[i], font='bold')
          #  lbl.grid(row=0, column=i+2, padx=10, pady=10)
        #self.lst_val = []
        #row = 1
        #for s in self.adsrv:
         #   lbl = tk.Label(val_pnl, text=s)
          #  lbl.grid(row=row, column=0, padx=10, pady=10)
           # l_row = []
         #   lbl = tk.Label(val_pnl, text='', width=4, relief='sunken')
          #  lbl.grid(row=row, column=1, padx=10, pady=10)
           # l_row.append(lbl)
            #for i in range(len(self.freqs)):
             #   lbl = tk.Label(val_pnl, text='', width=4, relief='sunken')
              #  lbl.grid(row=row, column=i+2, padx=10, pady=10)
               # l_row.append(lbl)
         #   self.lst_val.append(l_row)
          #  row += 1
        #for i in range(len(self.freqs)+2):
         #   val_pnl.grid_columnconfigure(i, weight=1, uniform='a')

        #self.grid_columnconfigure(1, weight=1)

    def on_struments(self, evt):
        w = evt.widget
        try:
            index = self.v_scales.index(w)
            value = w.get()
        except ValueError:
            return
        self.index = index
        self.lst_val[self.index][0].configure(text=value)
        
        
    def on_frequences(self, evt):
        w = evt.widget
        try:
            index = self.h_scales.index(w)
            value = w.get()
        except ValueError:
            return
        self.lst_val[self.index][index+1].configure(text=value)


if __name__ == '__main__':
    app = MainWin() 
    app.configure(background='black')
    app.geometry("1000x1000+0+0")
    #app.minsize("900x900")
    #app.maxsize("1000x1000")
    app.mainloop()
    
